PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0 »
- SDSS Utilities (`pydl.pydlutils`) »
- set_maskbits

# set_maskbits

pydl.pydlutils.sdss.set_maskbits(idlutils_version='v5_5_33', maskbits_file=None)

  Populate the maskbits cache.

  Parameters:
    idlutils_version `str`, optional

      Fetch the sdssMaskbits.par file corresponding to this idlutils version.

    maskbits_file `str`, optional

      Use an explicit file instead of downloading the official version. This should only be used for tests.

  Returns:
    `dict`

      A dictionary of bitmasks suitable for caching.

  Raises:
    `URLError`

      If the data file could not be retrieved.